summaryrefslogtreecommitdiffstats
path: root/named.init
diff options
context:
space:
mode:
authorjvdias <jvdias@fedoraproject.org>2004-10-18 21:06:26 +0000
committerjvdias <jvdias@fedoraproject.org>2004-10-18 21:06:26 +0000
commite51c8f66afedc8fca1bccd47e6622e6367e54479 (patch)
treec2dc25485df7d343b45336939d5bcb57c791b79c /named.init
parentefcb9cc16155a1f33bcd66bdcd63ed41cc42d062 (diff)
- Fix bug 136243: bind-chroot %post must run restorecon -R %{prefix}bind-9_2_4-2RHEL-4-splitFC-3-split
- Fix bug 135175: named.init must return non-zero if named is not run - Fix bug 134060: bind-chroot %post must use mktemp, not /tmp/named - Fix bug 133423: bind-chroot %files entries should have been %dirs
Diffstat (limited to 'named.init')
-rwxr-xr-xnamed.init10
1 files changed, 6 insertions, 4 deletions
diff --git a/named.init b/named.init
index 317f034..eefede5 100755
--- a/named.init
+++ b/named.init
@@ -18,13 +18,13 @@ RETVAL=0
prog="named"
# Check that networking is up.
-[ "${NETWORKING}" = "no" ] && exit 0
+[ "${NETWORKING}" = "no" ] && exit 1
[ -r /etc/sysconfig/named ] && . /etc/sysconfig/named
-[ -x /usr/sbin/named ] || exit 0
+[ -x /usr/sbin/named ] || exit 1
-[ -r ${ROOTDIR}/etc/named.conf ] || exit 0
+[ -r ${ROOTDIR}/etc/named.conf ] || exit 1
start() {
@@ -71,7 +71,9 @@ stop() {
/usr/sbin/rndc stop >/dev/null 2>&1
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/named || {
- killproc named
+# killproc named
+# Never do this! Can cause corrupt zone files!
+ /usr/sbin/rndc stop >/dev/null 2>&1
RETVAL=$?
[ $RETVAL -eq 0 ] && rm -f /var/lock/subsys/named
echo